Name:		nano
Version:	8.0
Release:	1
Summary:	Nano is a tiny GNU editor
License:	GPLv3+
URL:		https://www.nano-editor.org
Source0:	https://www.nano-editor.org/dist/v8/%{name}-%{version}.tar.xz

BuildRequires:	file-devel gettext-devel gcc ncurses-devel sed texinfo groff
Conflicts:	filesystem < 3

%description
Nano is a tiny GNU editor

%package_help

%prep
%autosetup -p1

%build
install -d build
cd build
%global _configure ../configure
%configure
%make_build

sed -e 's/^#.*set speller.*$/set speller "hunspell"/' \
    -e 's|^# \(include "/usr/share/nano/\*.nanorc"\)|\1|' \
    doc/sample.nanorc >> ./nanorc

%install
cd build
%make_install
rm -rf %{buildroot}%{_infodir}/dir
rm -rf %{buildroot}%{_docdir}/nano/{nano,nano.1,nanorc.5,rnano.1}.html

install -d %{buildroot}%{_sysconfdir}
install -m 0644 ./nanorc %{buildroot}%{_sysconfdir}/nanorc

mv %{buildroot}%{_datadir}/nano/extra/* %{buildroot}%{_datadir}/nano
rm -rf %{buildroot}%{_datadir}/nano/extra

%find_lang %{name}

%files -f build/%{name}.lang
%defattr(-,root,root)
%doc AUTHORS
%license COPYING

%{_bindir}/*
%{_datadir}/nano
%{_infodir}/nano.info*
%config(noreplace) %{_sysconfdir}/nanorc

%files help
%defattr(-,root,root)
%doc ChangeLog INSTALL NEWS README THANKS TODO
%doc build/doc/sample.nanorc
%doc doc/nano.html
%{_mandir}/man*/*
%{_defaultdocdir}/nano/faq.html

%changelog
* Mon Jun 17 2024 yaoxin <yao_xin001@hoperun.com> - 8.0-1
- Update to 8.0
  * CVE-2024-5742: Avoid privilege escalations via symlink attacks
    on emergency save file (boo#1226099)
  * By default ^F is bound to starting a forward search, and ^B to
    starting a backward search, while M-F and M-B repeat the search
    in the corresponding direction. (See the documentation if you
    want the old bindings back.)
  * Command-line option --modernbindings (-/) makes ^Q quit, ^X cut,
    ^C copy, ^V paste, ^Z undo, ^Y redo, ^O open a file, ^W write a file,
    ^R replace, ^G find again, ^D find again backwards, ^A set the mark,
    ^T jump to a line, ^P show the position, and ^E execute.
  * For easier access, M-" is bound to placing/removing an anchor,
    and M-' to jumping to the next anchor.

* Thu Sep 10 2020 baizhonggui <baizhonggui@huawei.com> - 4.9.3-1
- Modify source0

* Sat May 30 2020 SimpleUpdate Robot <tc@openeuler.org>
- Update to version 4.9.3

* Fri Jan 17 2020 Lei Zhang <ricky.z@huawei.com> - 4.5-2
- Remove useless nanorc config file

* Tue Nov 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.5-1
- Package init
